Bug 250437 - net/cloud-init: remove dependency on py-six
Summary: net/cloud-init: remove dependency on py-six
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-18 14:41 UTC by Mina Galić
Modified: 2020-10-30 21:52 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (andrey)


Attachments
patch to remove the dependency on py-six (1.06 KB, patch)
2020-10-18 14:55 UTC, Mina Galić
no flags Details | Diff
drop py-six, bump PORTREVISION (1.22 KB, patch)
2020-10-19 08:28 UTC, Mina Galić
no flags Details | Diff
remove py-six; bump PORTREVISION (1.22 KB, patch)
2020-10-19 08:36 UTC, Mina Galić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mina Galić 2020-10-18 14:41:41 UTC
It's been removed since 20.2: https://github.com/canonical/cloud-init/commit/b9ff0dc950558ecd2a8469eded26bd6ae4082771
Comment 1 Mina Galić 2020-10-18 14:55:53 UTC
Created attachment 218862 [details]
patch to remove the dependency on py-six

This seems like an easy fix, huh?
Comment 2 Andrey Fesenko 2020-10-19 05:42:52 UTC
yes it looks reasonable, we still need to change the port version, I will check and correct the patch
Comment 3 Mina Galić 2020-10-19 06:56:09 UTC
oh, i figured you have some kind of automation for pulling in patches that don't increase the version 😅
Comment 4 Mina Galić 2020-10-19 08:28:40 UTC
Created attachment 218880 [details]
drop py-six, bump PORTREVISION

new patch that does what you asked for
Comment 5 Mina Galić 2020-10-19 08:36:32 UTC
Created attachment 218881 [details]
remove py-six; bump PORTREVISION

and this one uses TAB, instead of spaces…
Comment 6 Andrey Fesenko 2020-10-29 00:40:16 UTC
Sorry long time integrated in #Bug250496
Comment 7 Andrey Fesenko 2020-10-30 20:31:52 UTC
Committed as ports r553676
Comment 8 Mina Galić 2020-10-30 21:52:48 UTC
then let's close this.